"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileSecretProvider = void 0;
const path = require("path");
const fs = require("fs/promises");
const SecretProvider_1 = require("../SecretProvider");
class FileSecretProvider extends SecretProvider_1.SecretProvider {
    constructor(filePath, getSecretsFromFileContent) {
        super();
        this.filePath = filePath;
        this.getSecretsFromFileContent = getSecretsFromFileContent;
        if (!path.isAbsolute(this.filePath)) {
            throw new Error('Path in FileSecretProvider must be absolute');
        }
    }
    loadableContentKey() {
        return `file-secret::${this.filePath}`;
    }
    async loadContent() {
        const content = await fs.readFile(this.filePath, 'utf-8');
        return JSON.parse(content);
    }
    async provideSecrets(content) {
        return this.getSecretsFromFileContent(content);
    }
}
exports.FileSecretProvider = FileSecretProvider;
//# sourceMappingURL=FileProvider.js.map